%define release 3%{?dist}

Summary: Red Hat Storage Server
Name: appliance
Version: 1.7.1
Release: %{release}
License: GPLv3+
Packager: support@gluster.com
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat Inc
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: gtop-1.0.tar.gz
Patch0: rhs-system-init.sh.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service

%description
Red Hat Storage Server tools.

%package base
Summary: Red Hat Storage Server
Group: Applications/System

%description base
Tools for Red Hat Storage Server

%prep
%setup -q
%setup -a 1
%patch0 -p1 -b .rhs-system-init.sh

%build

./configure --program-prefix=  --prefix=/ --datadir=/usr/local/share --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/etc/modprobe.d
echo 'options megaraid_sas max_sectors=2048' > %{buildroot}/etc/modprobe.d/megaraid_sas.conf
mkdir -p %{buildroot}/usr/lib/glusterfs/.unsupported
cp -r gtop-1.0 %{buildroot}/usr/lib/glusterfs/.unsupported
cp base/rhs-system-init.sh %{buildroot}/usr/lib/glusterfs/.unsupported

%clean
%{__rm} -rf %{buildroot}

%files base
%defattr(-,root,root,-)
/etc/init.d/gluster-system-settings
/etc/profile.d/gluster-env.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sysconfig
/etc/tune-profiles/rhs-high-throughput/sysctl.ktune
/etc/tune-profiles/rhs-high-throughput/tuned.conf
/etc/modprobe.d/megaraid_sas.conf
/etc/tune-profiles/rhs-virtualization/ktune.sh
/etc/tune-profiles/rhs-virtualization/ktune.sysconfig
/etc/tune-profiles/rhs-virtualization/sysctl.ktune
/etc/tune-profiles/rhs-virtualization/tuned.conf
/usr/lib/glusterfs/.unsupported/

%post base
chkconfig gluster-system-settings on


%changelog
* Mon May 27 2013 Balamurugan Arumugam <barumuga@redhat.com> 1.7.1-3
- move gtop to rhpkg from git repo

* Mon May 27 2013 Balamurugan Arumugam <barumuga@redhat.com> 1.7.1-2
- Added rhs-system-init.sh and gtop

* Wed Mar 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-1
- changed the version from 1.7 to 1.7.1

* Tue Mar 19 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-8
- tuned: get readahead right devices those are bricks

* Mon Feb 18 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-7
- tuned: add rhs-virtualization profile
- fix tuning parameters
- remove unused .in files

* Thu Jun 21 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-6
- multipath support bug fix in high-throughput profile

* Tue Jun 19 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-5
- Added multipath support in high-throughput profile

* Thu Jun 14 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-4
- Remove aliasing for mkfs.xfs

* Tue May 29 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-3
- Include megaraid module configuration (rhbz#806405)

* Wed May 23 2012 Anthony Towns <atowns@redhat.com> - 1.7-2
- Include megaraid module configuration (rhbz#806405)

* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

